Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Transactions

List Transactions

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

GET
/public/api/v1/transactions

Retrieve transactions for the authenticated merchant using cursor-based pagination. Use the offset cursor returned in nextOffset to continue from the previous page and combine it with sessionId and reference filters to narrow the results.

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

perPageinteger

Maximum number of results to return in the response.

Default:
25
Range:
1 <= value <= 500
offsetstring

Cursor returned by nextOffset. Omit or pass an empty string to fetch the first page.

Example:
"ZAT48V8GW43M"
sessionIdstring

Only include transactions that belong to the provided session id.

Format:
uuid
Example:
"019ad8a2-18c6-7a72-bf20-2768be84eb42"
terminalIdstring

Only include transactions associated with the provided terminal id.

Format:
uuid
pointOfSaleIdstring

Only include transactions created for the provided point of sale id.

Format:
uuid
subscriptionIdstring

Only include transactions associated with the provided subscription id.

Format:
uuid
billingAgreementChargeIdstring

Only include transactions associated with the provided billing agreement charge id.

Format:
uuid
referencestring

Only include transactions that match the provided reference / order id string.

Use prefixMode to change from exact search to prefix search if necessary.

Example:
"reference-1"
referenceModestring

Comparison mode for filtering by reference.

Default:
"EXACT"
Possible values:
"EXACT""PREFIX"
createdBeforestring

Only include transactions created at or before this timestamp (inclusive).

Format:
date-time
Example:
"2026-04-01T15:04:05Z"
createdAfterstring

Only include transactions created at or after this timestamp (inclusive).

Format:
date-time
Example:
"2026-04-01T00:00:00Z"
customerIdstring

Only include transactions associated with the provided customer id.

currencystring

Only include transactions with the provided ISO 4217 currency code.

Example:
"DKK"
statestring

Only include transactions with the provided transaction state.

Possible values:
"PENDING""PROCESSING""SUCCESS""FAILED"
Example:
"SUCCESS"
typestring

Only include transactions with the provided transaction type.

Possible values:
"PAYMENT""PAYOUT""MOTO"
Example:
"PAYMENT"
errorCodestring

Only include transactions with the provided internal error code.

paymentMethodTypestring

Only include transactions with the provided payment method type.

Example:
"CARD"
paymentMethodSubTypestring

Only include transactions with the provided payment method sub type.

Example:
"VISA"
amountModestring

Comparison mode for filtering by amount. Must be used together with amount.

Possible values:
"EQUAL""LESS_THAN""GREATER_THAN"
amountinteger

Transaction amount in minor units (e.g. cents). Used together with amountMode.

Example:
10000
feeModestring

Comparison mode for filtering by fee. Must be used together with fee. Supported values: EQUAL, LESS_THAN, GREATER_THAN.

Possible values:
"EQUAL""LESS_THAN""GREATER_THAN"
feeinteger

Transaction fee in minor units. Used together with feeMode.

Example:
250

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/public/api/v1/transactions"
{  "currentOffset": "",  "nextOffset": "LDG7M4WW44G",  "perPage": 25,  "hasMore": false,  "items": [    {      "transaction": {        "id": "LDG7M4WW44G",        "subscriptionId": "0197c07b-3f6d-7be2-b848-702b08958128",        "billingAgreementChargeId": "019a727b-987f-7768-a59e-71af920ef81f",        "state": "PENDING",        "errorCode": "string",        "externalStatusCodes": {          "terminal": "string",          "acquirer": "string",          "network": "string",          "sca": "string"        },        "createdAt": "2019-08-24T14:15:22Z",        "sessionId": "string",        "paymentMethodId": "b6df8625-cd25-4123-b345-638aa7b5d011",        "paymentMethodType": "CARD",        "paymentMethodSubType": "Visa",        "paymentMethodExpiry": "2019-08-24",        "paymentMethodDisplayText": "string",        "paymentMethodHolderName": "string",        "scaMode": "SKIP",        "customerId": "string",        "amount": 0,        "fee": 0,        "currency": "string",        "instantCapture": "OFF",        "notificationUrl": "http://example.com",        "pointOfSaleId": "be6bff4f-7fac-43c0-9f6b-cf2cd45ed7d1",        "reference": "string",        "textOnStatement": "string",        "exemptions": [          "LVT",          "TRA"        ],        "attributes": {          "property1": null,          "property2": null        },        "clientIp": "52.212.176.122",        "clientCountry": "DK",        "type": "PAYMENT"      }    }  ]}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}